• Diese Seite verwendet Cookies. Indem du diese Website weiterhin nutzt, erklärst du dich mit der Verwendung von Cookies einverstanden. Erfahre mehr

Python 2.7 Setuptool Update Problem

Mardor

Well-Known Member
Themenstarter #1
Hallo,

beim Update von py27-setuptool über portmaster -a erhalte ich folgende Fehlermeldung

Code:
===>   Registering installation for py27-setuptools-32.1.0 as automatic
[xx.zz.aa] Installing py27-setuptools-32.1.0...
pkg-static: py27-setuptools-32.1.0 conflicts with py27-setuptools27-32.1.0 (installs files into the same place).  Problematic file: /usr/local/lib/python2.7/site-packages/easy-install.pth.dist
*** Error code 70
Für mich sieht es so aus, als ob ein bereits existierendes File ersetzt werden soll. Aber ich bin mir nicht sicher was der beste Schritt zur Lösung wäre.

Hätte jemand eine Idee ?

Gruß Mardor
 
#2
/usr/ports/UPDATING hat gesagt.:
20170316:
AFFECTS: users of python setuptools
AUTHOR: antoine@FreeBSD.org

The python setuptools ports have been renamed to better match other python ports.
Ports users need to rename them so that portupgrade and portmaster do not
get confused. For example:

pkg set -n py27-setuptools27:py27-setuptools
pkg set -o devel/py-setuptools27:devel/py27-setuptools
or
pkg set -n py35-setuptools35:py35-setuptools
pkg set -o devel/py-setuptools35:devel/py35-setuptools
HTH :)
 

Mardor

Well-Known Member
Themenstarter #3
Hallo Columbo0815,

vielen vielen Dank für den Hinweis.

Jetzt wurdert mich nur warum mir pkg update nichts angezeigt hat:

Code:
pkg updating -d `date -v-1m "+%Y%m%d"`
20170220:
  AFFECTS: devel/libevent2
  AUTHOR: jbeich@FreeBSD.org

  libevent2 has been renamed back to libevent as the default version.
  If you manage out of tree ports make sure to run the following:

    # pkg set -n libevent2:libevent
    # pkg set -o devel/libevent2:devel/libevent
Gruß Mardor
 
#4
pkg update liest vermutlich NICHT /usr/ports/UPDATING sondern ich gehe davon aus, dass es eine eigene "Datenbank" hat, in der das steht. Dann kommt es natürlich darauf an, welche Packages du verwendest und wann du zuletzt die Packagedatenbank aktualisiert hast... Da du aber portmaster nutzt, hätte ich ohnehin nicht erwartet, dass du mit "pkg" nachsiehst... :)